apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: gohorse-backend-ingress-dev
  namespace: gohorsejobsdev
  annotations:
    cert-manager.io/cluster-issuer: letsencrypt-dns
    external-dns.alpha.kubernetes.io/cloudflare-proxied: "true"
    traefik.ingress.kubernetes.io/router.entrypoints: web,websecure
    traefik.ingress.kubernetes.io/router.tls: "true"
spec:
  ingressClassName: traefik
  rules:
    - host: api-dev.gohorsejobs.com
      http:
        paths:
          - path: /
            pathType: Prefix
            backend:
              service:
                name: gohorse-backend
                port:
                  number: 8521
  tls:
    - hosts:
        - api-dev.gohorsejobs.com
      secretName: gohorse-backend-dev-cert
